Loading...
Searching...
No Matches
juce::universal_midi_packets::LegacyVirtualInput Class Reference

## Detailed Description

Represents a virtual MIDI 1.0 input port.

The documentation for this class was generated from the following file:

- juce_audio_devices/midi_io/ump/juce_UMPLegacyVirtualInput.h

## Public Member Functions

| LegacyVirtualInput ()
| Creates an invalid virtual port that doesn't correspond to any virtual device.
| ~LegacyVirtualInput ()
| LegacyVirtualInput (LegacyVirtualInput &&) noexcept
LegacyVirtualInput & | operator= (LegacyVirtualInput &&) noexcept
| LegacyVirtualInput (const LegacyVirtualInput &)=delete
LegacyVirtualInput & | operator= (const LegacyVirtualInput &)=delete
EndpointId | getId () const
| Retrieves the unique id of this input.
bool | isAlive () const
| operator bool () const

## Constructors and Destructors

## LegacyVirtualInput() [1/3]

juce::universal_midi_packets::LegacyVirtualInput::LegacyVirtualInput | ( |  | ) |

Creates an invalid virtual port that doesn't correspond to any virtual device.

Referenced by LegacyVirtualInput(), LegacyVirtualInput(), operator=(), and operator=().

## ~LegacyVirtualInput()

juce::universal_midi_packets::LegacyVirtualInput::~LegacyVirtualInput | ( |  | ) |

## LegacyVirtualInput() [2/3]

juce::universal_midi_packets::LegacyVirtualInput::LegacyVirtualInput | ( | LegacyVirtualInput && |  | ) |

noexcept

References LegacyVirtualInput().

## LegacyVirtualInput() [3/3]

juce::universal_midi_packets::LegacyVirtualInput::LegacyVirtualInput | ( | const LegacyVirtualInput & |  | ) |

delete

References LegacyVirtualInput().

## Member Functions

## operator=() [1/2]

LegacyVirtualInput & juce::universal_midi_packets::LegacyVirtualInput::operator= | ( | LegacyVirtualInput && |  | ) |

noexcept

References LegacyVirtualInput().

## operator=() [2/2]

LegacyVirtualInput & juce::universal_midi_packets::LegacyVirtualInput::operator= | ( | const LegacyVirtualInput & |  | ) |

delete

References LegacyVirtualInput().

## getId()

EndpointId juce::universal_midi_packets::LegacyVirtualInput::getId | ( |  | ) | const

Retrieves the unique id of this input.

You can pass this ID to Session::connectInput() in order to receive messages sent to this input.

Note that this ID is not guaranteed to be stable - creating the 'same' virtual device across several program invocations may produce a different ID each time.

To fetch the current details of this device, you can pass this ID to Endpoints::getEndpoint().

References getId().

Referenced by getId().

## isAlive()

bool juce::universal_midi_packets::LegacyVirtualInput::isAlive | ( |  | ) | const

References isAlive().

Referenced by isAlive(), and operator bool().

## operator bool()

juce::universal_midi_packets::LegacyVirtualInput::operator bool | ( |  | ) | const

inline explicit

References isAlive().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited